#include <unistd.h>
#include <stdint.h>
#include <stddef.h>

/* Driver Header files */
#include <ti/drivers/GPIO.h>
#include <ti/display/Display.h>
#include <ti/display/DisplayUart.h>
#include <ti/display/DisplayExt.h>
#include <ti/display/AnsiColor.h>
// #include <ti/drivers/I2C.h>
// #include <ti/drivers/SPI.h>
// #include <ti/drivers/UART.h>
// #include <ti/drivers/Watchdog.h>

/* Driver configuration */
#include "ti_drivers_config.h"


Display_Handle display,display1;


void *mainThread(void *arg0)
{

    /* Call driver init functions */
    GPIO_init();
    Display_init();

    display = Display_open(Display_Type_UART, NULL);
    if (display == NULL)
    {
        while (1);/* Failed to open display driver */
    }

    display1 = Display_open(Display_Type_UART, NULL);
    if (display1 == NULL)
    {
        while (1);/* Failed to open display driver */
    }

    Display_printf(display, 0, 0,"display  -  XDS UART 1");
    Display_printf(display1, 0, 0,"display1 -  UART 2");

    /* Configure the LED pin */
    GPIO_setConfig(CONFIG_GPIO_LED_0, GPIO_CFG_OUT_STD | GPIO_CFG_OUT_LOW);


    while (1)
    {
        sleep(1);

        Display_printf(display, 0, 0,"display");
        Display_printf(display1, 0, 0,"display1");

        GPIO_toggle(CONFIG_GPIO_LED_0);
    }
}
